Section ID:
DOC-API-MODEL-schema-1ktuo6mcah#overview
DailySession
Session metadata for a Daily/Pipecat voice session
Meaning and usage
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-agentnameSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-agentnameagentName | string | Optional | Name of the Pipecat agent running this voice session. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-sessionidSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-sessionidsessionId | string | Optional | Identifier of the Pipecat voice session. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-dailyroomSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-dailyroomdailyRoom | string | Optional | Daily room address associated with the voice session. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-dailytokenSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-dailytokendailyToken | string | Optional | Daily meeting token issued for the voice session. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-userdataSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-userdatauserData | StartSessionUserData | Optional | Generic body payload used to start. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-dailyroompropertiesSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-dailyroompropertiesdailyRoomProperties | DailyRoomProperties | Optional | Properties passed to Daily when configuring the session room. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-dailymeetingtokenpropertiesSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-dailymeetingtokenpropertiesdailyMeetingTokenProperties | DailyMeetingTokenProperties | Optional | Properties passed to Daily when issuing the meeting token. |
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#field-startedatSection ID: DOC-API-MODEL-schema-1ktuo6mcah#response-field-startedatstartedAt | string (date-time) | Optional | Time when the operation started. |
Where used
Section ID: DOC-API-MODEL-schema-1ktuo6mcah#where-used
| Reference | Relationship |
|---|---|
| Create a voice session (in progress) | POST /api/v1/llm/create-daily-session |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1ktuo6mcah